ServersOperations Class
ServersOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectServersOperations
Constructor
ServersOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_create |
Creates a new server or updates an existing server. The update action will overwrite the existing server. |
| begin_delete |
Deletes a server. |
| begin_restart |
Restarts a server. |
| begin_start |
Starts a stopped server. |
| begin_stop |
Stops a running server. |
| begin_update |
Updates an existing server. The request body can contain one to many of the properties present in the normal server definition. |
| begin_upgrade |
Upgrade server version. |
| get |
Gets information about a server. |
| list |
List all the servers in a given subscription. |
| list_by_resource_group |
List all the servers in a given resource group. |
begin_create
Creates a new server or updates an existing server. The update action will overwrite the existing server.
async begin_create(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql.models._models_py3.ServerForCreate, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.rdbms.mysql.models._models_py3.Server]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either Server or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes a server.
async begin_delete(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_restart
Restarts a server.
async begin_restart(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_start
Starts a stopped server.
async begin_start(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_stop
Stops a running server.
async begin_stop(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_update
Updates an existing server. The request body can contain one to many of the properties present in the normal server definition.
async begin_update(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql.models._models_py3.ServerUpdateParameters, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.rdbms.mysql.models._models_py3.Server]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either Server or the result of cls(response)
Return type
Exceptions
begin_upgrade
Upgrade server version.
async begin_upgrade(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql.models._models_py3.ServerUpgradeParameters, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
get
Gets information about a server.
async get(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.mgmt.rdbms.mysql.models._models_py3.Server
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Server, or the result of cls(response)
Return type
Exceptions
list
List all the servers in a given subscription.
list(**kwargs: Any) -> AsyncIterable[azure.mgmt.rdbms.mysql.models._models_py3.ServerListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ServerListResult or the result of cls(response)
Return type
Exceptions
list_by_resource_group
List all the servers in a given resource group.
list_by_resource_group(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.rdbms.mysql.models._models_py3.ServerListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ServerListResult or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.rdbms.mysql.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\rdbms\\mysql\\models\\__init__.py'>
Feedback
Submit and view feedback for